Проблема с драйверами видеокарты Ubuntu

Я пробовал fglrx, fglrx-updates и xserver-xord-video-ati

xserver-xord-video-ati – Производительность не оптимальна. Suspend не будет работать (не будет реагировать после закрытия крышки). Яркость не будет работать.

fglrx, fglrx-updates – Оптимальная производительность. Экран замерзает после нескольких минут использования (полностью зависает).

Выход lspci -nn | grep -E 'VGA|Display' lspci -nn | grep -E 'VGA|Display'

 00:01.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Carrizo [1002:9874] (rev ca) 06:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265] [1002:6900] (rev 83) 

Выход uname -r

 3.13.0-119-generic 

Вывод lsb_release -a

 No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 14.04.5 LTS Release: 14.04 Codename: trusty 

Процессор – AMD A10-9600P RADEON R5, 10 COMPUTE CORES 4C + 6G

ОЗУ – 4 ГБ

Пожалуйста, предложите некоторые решения или альтернативные драйверы.